Bug 55414 - Upgrade overwrites /etc/auto.master
Upgrade overwrites /etc/auto.master
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
7.2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 16:50 EST by Phil Schaffner
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-19 16:34:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Schaffner 2001-10-30 16:50:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011015

Description of problem:
Upgrade from 7.1 Seawolf to 7.2 Enigma silently overwrote /etc/auto.master
without saving as auto.master.rpmsave or creating the new file as
auto.master.rpmnew, resulting in loss of access to configured options in
/etc/auto.misc.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Upgrade 7.1 system with autofs installed to 7.2
2.
3.
	

Actual Results:  Original /etc/auto.master was overwritten.

Expected Results:  Should have created /etc/auto.master as
/etc/auto.master.rpmnew and noted in /tmp/upgrade.log

Additional info:

Corrected problem by uncommenting last line in /etc/auto.master thus
restoring reference to /etc/auto.misc

Note You need to log in before you can comment on or make changes to this bug.